/*
 * menus.cc - code for menus
 *
 * This file is part of the source distribution of 
 * Jafm - an icon based X11 desktop program 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */

#include "menus.hh"
#include <qpopmenu.h>
#include <qkeycode.h>
#include <qapp.h>

MainMenuBar::MainMenuBar (QWidget *parent, const char *)
  : QWidget (parent)
{

  menu = new QMenuBar (this) ;
  CHECK_PTR (menu) ;

  /*
   * define file menu
   */
  QPopupMenu *file = new QPopupMenu ;
  CHECK_PTR (file) ;
  file->insertItem ("Open", this, SLOT(openItem()), CTRL+Key_O ) ;
  file->insertItem ("Close", this, SLOT(closeItem()), CTRL+Key_W ) ;
  //  file->insertSeparator () ;
  file->insertItem ("Applications", this, SLOT(applWin())) ;
  file->insertItem ("Quit", this, SLOT(quitItem()), CTRL+Key_Q) ;
  menu->insertItem ("&File", file) ;
  
  setMinimumSize (100, 30) ;
}

